package ecs

// ECS system by jcerise, github.com/jcerise/gogue

const AmmoComponent = "ammo"
const AppearanceComponent = "appearance"
const ArmorComponent = "armor"
const ArmsComponent = "arms"
const BackpackComponent = "backpack"
const CarriedComponent = "carried"
const ConsumableComponent = "consumable"
const CoordsComponent = "coords"
const MobComponent = "mob"
const MoveableComponent = "movable"
const NamedComponent = "named"
const RangedComponent = "ranged"
const UsableComponent = "usable"
const WearableComponent = "usable"

type Component interface {
	Type() string
}

type Named struct {
	Name string
}

func (n Named) Type() string {
	return NamedComponent
}

func (n Named) GetName() string {
	return n.Name
}
